package com.gh.gamecenter.simulatorgame

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.gh.gamecenter.common.base.activity.ToolBarActivity
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.common.utils.updateStatusBarColor
import com.therouter.router.Route

@Route(
    path = RouteConsts.activity.simulatorGameActivity,
    description = "模拟器游戏"
)
class SimulatorGameActivity : ToolBarActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setNavigationTitle("模拟器游戏")
        updateStatusBarColor(com.gh.gamecenter.common.R.color.ui_surface, com.gh.gamecenter.common.R.color.ui_surface)
    }

    override fun isAutoResetViewBackgroundEnabled() = true

    override fun provideNormalIntent(): Intent {
        return getTargetIntent(this, SimulatorGameActivity::class.java, SimulatorGameFragment::class.java)
    }

    override fun onDarkModeChanged() {
        super.onDarkModeChanged()
        updateStatusBarColor(com.gh.gamecenter.common.R.color.ui_surface, com.gh.gamecenter.common.R.color.ui_surface)
    }

    companion object {
        @JvmStatic
        fun getIntent(context: Context): Intent {
            return getTargetIntent(context, SimulatorGameActivity::class.java, SimulatorGameFragment::class.java)
        }
    }

}